package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 痘姆古陶_附件对象 doumu_product_fi
 * 
 * @author boman
 * @date 2024-01-16
 */
public class DoumuProductFj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long fiId;

    /** 痘姆古陶主表id */
    @Excel(name = "痘姆古陶主表id")
    private Long productId;

    /** 附件名称 */
    @Excel(name = "附件名称")
    private String fjName;

    /** 附件地址 */
    @Excel(name = "附件地址")
    private String path;

    public void setFiId(Long fiId) 
    {
        this.fiId = fiId;
    }

    public Long getFiId() 
    {
        return fiId;
    }
    public void setProductId(Long productId) 
    {
        this.productId = productId;
    }

    public Long getProductId() 
    {
        return productId;
    }
    public void setFjName(String fjName) 
    {
        this.fjName = fjName;
    }

    public String getFjName() 
    {
        return fjName;
    }
    public void setPath(String path) 
    {
        this.path = path;
    }

    public String getPath() 
    {
        return path;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fiId", getFiId())
            .append("productId", getProductId())
            .append("fjName", getFjName())
            .append("path", getPath())
            .append("remark", getRemark())
            .toString();
    }
}
